RT3090 conflicts with acer_wmi on IdeaPad S205

Bug #875659 reported by Hansen on 2011-10-16
102
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Ike Panhc

Bug Description

Ubuntu Desktop 11.10 AMD64 on Lenovo IdeaPad S205 (E-450)

Wireless is disabled.

In a thread on Ubuntu forum I found the following.

rfkill unblock wifi
rfkill unblock all
modprobe -r acer-wmi

It makes wireless work, but the network speed is awful, below 60kb/s and my old eee netbook that's playing streamed internet-radio through same router drops connections when I connect the S205.

I tried installing Wicd (and removed network manager) with "rfkill unblock all" in rc.local. It kinda works but network speed is unstable, falls in speed after a couple of minutes, and ends up stopping completely.

I tried ndisgrabber blacklisting these drivers in: /etc/modprobe.d/blacklist.conf
blacklist acer_wmi
blacklist rt2800pci
blacklist rt2800lib
blacklist rt2x00pci
blacklist rt2x00lib
blacklist rt2860sta

Ndisgrabber sees the adapter, but wireless does not show up in network manager. (reinstalled of course).
---
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
CRDA: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 11.10
Gconf:

IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20111007.1)
IpRoute:
 default via 192.168.1.1 dev eth0 proto static
 169.254.0.0/16 dev eth0 scope link metric 1000
 192.168.1.0/24 dev eth0 proto kernel scope link src 192.168.1.14 metric 1
Keyfiles: Error: [Errno 2] No such file or directory
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
Package: network-manager 0.9.1.90-0ubuntu3
PackageArchitecture: amd64
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Tags: oneiric running-unity
Uname: Linux 3.0.0-12-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

apport information

tags: added: apport-collected oneiric running-unity
description: updated
Hansen (moteprime) wrote : IpAddr.txt

apport information

apport information

Hansen (moteprime) wrote : NMTool.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Made ndiswrapper work with:
 rfkill unblock wifi
rfkill unblock all
modprobe -r acer-wmi

But network speed is again very low, less than 70-80kb/sec.

Hansen (moteprime) wrote :

I installed this older driver: https://launchpad.net/~markus-tisoft/+archive/rt3090/+files/rt3090-dkms_2.3.1.3-0ubuntu0~ppa1_all.deb

Blacklisted "acer_wmi" in /etc/modprobe.d/blacklist.conf

Added "rt3090sta" til /etc/modules

This seems to work, and at full network speed.

Are the conclusion that the RT3090 driver in 11.10 does not work, and there are a conflict with acer_wmi ??

affects: network-manager (Ubuntu) → ubuntu
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Rich (rodhull) wrote :

Confirming that the workaround right at the top of the bug report works for me:

Add the following to /etc/rc.local

rfkill unblock wifi
rfkill unblock all
modprobe -r acer-wmi

However, as the OP points out, the network speed is horrible. It will stay at max. throughput for a while but will then drop down to less than 1Mbps after a time. This appears random - sometimes it will stay at max for anything up to ~20-30minutes but at others it happens almost straight after boot...

I have found this post on the rt2x00 team's forum:
http://rt2x00.serialmonkey.com/phpBB/viewtopic.php?f=5&t=6186

...which confirms the behaviour with the "rt2500pci" driver - it obviously affects rt2800pci too...

For me (also using a Lenovo S205 which has the RT3090 card), Markus' Natty DMKS driver for rt3090sta *doesn't* work.

It builds, installs and appears to be servicing the WLAN card, but I cannot scan for any networks (either with Network Manager or iwlist via CLI) nor add any manually.

affects: ubuntu → rt2x00 (Ubuntu)
Rich (rodhull) on 2011-11-03
affects: rt2x00 (Ubuntu) → ubuntu
affects: ubuntu → linux (Ubuntu)
Peter Magnusson (kmpm) wrote :

I have a IeI AFL2-W15A, industrial panel PC that has a RT3090 wireless card.
Exactly the same issues as above but I have not been able to get it to work with most of the suggested fixes either.
The only thing that works is the deb that @motheprime suggests.
Install that and everything seems fine.

One strange thing is that during installation of Oneiric I saw networks, weren't able to join though (WPA2) but that could have been reception issues.
After first boot, then no networks show up but NetworkManager said that wireless was enabled.

Ike Panhc (ikepanhc) on 2011-11-16
tags: added: acer-wmi-rfkill
Ike Panhc (ikepanhc) wrote :

Please test the kernel image at http://people.canonical.com/~ikepanhc/lp/875659/ and see if this problem is solved.

When testing, please remove acer_wmi from /etc/modprobe.d/blacklist.conf

Thanks a lot.

Changed in linux (Ubuntu):
assignee: nobody → Ike Panhc (ikepanhc)
status: Confirmed → Incomplete
Rod Hull (iwantmyjelly) wrote :

Thanks Ike - I'll try this when I get home - one question: I doubt this is unlikely to resolve the poor speeds that the built-in rt2800pci driver provides? I guess we'll have to raise another bug for this?

I *still* cannot get Markus' DKMS driver to work on my 11.10 laptop (despite having the same hardware as moteprime!)

Hansen (moteprime) wrote :
Download full text (3.5 KiB)

HI.
I made a clean installation of ubuntu Desktop 11.10 64AMD
I have not changed /etc/modprobe.d/blacklist.conf or any other config files.

Downloaded the files at the above link and installed with. "sudo dpkg -i *.deb"

----------------------------------------------------------------------------------
mads@mads-Ideapad-S205:~/Downloads$ sudo dpkg -i *.deb
[sudo] password for mads:
(Reading database ... 124955 files and directories currently installed.)
Preparing to replace linux-headers-3.0.0-12 3.0.0-12.20 (using linux-headers-3.0.0-12_3.0.0-12.20lp875659_all.deb) ...
Unpacking replacement linux-headers-3.0.0-12 ...
Preparing to replace linux-headers-3.0.0-12-generic 3.0.0-12.20 (using linux-headers-3.0.0-12-generic_3.0.0-12.20lp875659_amd64.deb) ...
Unpacking replacement linux-headers-3.0.0-12-generic ...
Preparing to replace linux-image-3.0.0-12-generic 3.0.0-12.20 (using linux-image-3.0.0-12-generic_3.0.0-12.20lp875659_amd64.deb) ...
Done.
Unpacking replacement linux-image-3.0.0-12-generic ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.0.0-12-generic /boot/vmlinuz-3.0.0-12-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.0.0-12-generic /boot/vmlinuz-3.0.0-12-generic
Setting up linux-headers-3.0.0-12 (3.0.0-12.20lp875659) ...
Setting up linux-headers-3.0.0-12-generic (3.0.0-12.20lp875659) ...
Setting up linux-image-3.0.0-12-generic (3.0.0-12.20lp875659) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled
(3.0.0-12.20 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(3.0.0-12.20 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.0.0-12-generic /boot/vmlinuz-3.0.0-12-generic
update-initramfs: Generating /boot/initrd.img-3.0.0-12-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.0.0-12-generic /boot/vmlinuz-3.0.0-12-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.0.0-12-generic /boot/vmlinuz-3.0.0-12-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.0.0-12-generic /boot/vmlinuz-3.0.0-12-generic
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.0.0-12-generic
Found initrd image: /boot/initrd.img-3.0.0-12-generic
Found memtest86+ image: /boot/memtest86+.bin
Found Windows 7 (loader) on /dev/sda1
Found Windows Recovery Environment (loader) on /dev/sda4
Found Ubuntu 11.10 (11.10) on /dev/sda7
done
----------------------------------------------------------------------------------

I'm not using the grub with this installation, but another one. I hope it does not give problems.
But i did boot the working grub and updated it.

----------------------------------------------------------------------------------
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.0.0-12-generic
Found initrd image: /boot/initrd.img-3.0.0-12-generic
Found memtest86+ image: /memtest86+.bin
Found Windows 7 (loader) on /dev/sda1
Found Windows Recovery Environment (loader) on /dev/sda4...

Read more...

Hansen (moteprime) wrote :

Just to check i downloaded the daily image of Precise Pangolin with Linux ubuntu 3.1.0-2-generic, and the problem are the same.
In order to connect to wifi acer-wmi must be blacklistet, and then the problem with the missing network speed are still there.

Rod Hull (iwantmyjelly) wrote :

The patches don't work for me either. I've attached the output of the following:

rfkill list
lsmod |grep rt
iwconfig
iwlist

...and a relevant portion of /var/log/syslog - note that Network Manager showed that Networking was enabled, but Wireless was not, so I clicked on "Enable Wireless" and nothing happened - this includes the outputs after that action.

Running the standard workaround on the usual kernel (rfkill unblock wifi ; rfkill unblock all ; modprobe -r acer_wmi) also didn't work and the only way I could get wireless working again was to force-purge the patched packages and force-reinstall the generic kernel/headers etc. and reboot.

Still left with the slow rt2800pci driver :(

Rod Hull (iwantmyjelly) wrote :
Rod Hull (iwantmyjelly) wrote :
Rod Hull (iwantmyjelly) wrote :
Rod Hull (iwantmyjelly) wrote :
Ike Panhc (ikepanhc) wrote :

Thanks.

Looks like I still need to find out why it does not work on this machine.

Ike Panhc (ikepanhc) on 2011-11-17
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Ike Panhc (ikepanhc) wrote :

Find a specific patch for ideapad s205 for acer-wmi rfkill issue.

I've built the kernel for testing, please test it.

The kernel deb is at http://people.canonical.com/~ikepanhc/lp/875659-2/

Thanks a lot

Ike Panhc (ikepanhc) wrote :

If it works, I will send for Oneiric SRU.

If not, please attach how's the change of `rfkill list` before and after Fn+F5, and please also attach output of `cat /sys/class/dmi/id/modalias`

Thanks a lot.

Changed in linux (Ubuntu):
status: In Progress → Incomplete
tags: removed: acer-wmi-rfkill
Hansen (moteprime) wrote :

Hi Ike Panhc
It did not work for me.
uname -a
Linux mads-Ideapad-S205 3.0.0-12.20lp875659-2-generic #2 SMP Fri Nov 18 06:18:11 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Before fn+F5
rfkill list
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
4: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no

After fn+F5
rfkill list
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: ideapad_wlan: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: yes
 Hard blocked: yes
4: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no

cat /sys/class/dmi/id/modalias
dmi:bvnLENOVO:bvr4BCN24WW:bd08/10/2011:svnLENOVO:pn1038D4G:pvrIdeapadS205:rvnLENOVO:rnInagua:rvr109-B78210-00A:cvnLENOVO:ct10:cvrChassisVersionUnknown:

Hansen (moteprime) wrote :

Just to be sure that i did it right. I downloaded all five files from the link you send and installed the by command "sudo dpkg -i *.deb" -ii installs the test kernel. -thats right?
The two patch files are they meant to be ran?

Ike Panhc (ikepanhc) wrote :

Thanks for testing.

From the modalias, the product name is "1038D4G" and the patch is made for "10382LG". In short words, they are different s205, so the patch does not work.

Ike Panhc (ikepanhc) on 2011-11-22
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Ike Panhc (ikepanhc) wrote :

This is my last approach for acer-wmi rfkill related issue. The root cause of this issue is we can not update the soft block status of acer-wireless rfkill.

This patched acer-wmi will try to change the rfkill status and see if the status is *real*changed. If not, driver will not register acer-wireless rfkill.

So, please test the kernel deb at http://people.canonical.com/~ikepanhc/lp/875659-3/

And not to blacklist acer-wmi or set any kernel parameter on acer-wmi.

After reboot, there shall be no acer-wireless in `rfkill list`. If there is, please attach the output of `rfkill list`, `dmesg`

Changed in linux (Ubuntu):
status: In Progress → Incomplete
tags: added: acer-wmi-rfkill
Hansen (moteprime) wrote :

I installed the test kernel. -wifi still does not work. but , acer-wmi are gone from rfkill list

uname -a
Linux mads-Ideapad-S205 3.0.0-13-generic #22lp875659 SMP Tue Nov 22 03:27:00 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

rfkill list
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Ike Panhc (ikepanhc) wrote :

Thanks Hansen,

Looks like the patch works but introduces another problem. I will look into wireless driver and see how it get the hard block status. I may need your help on testing later.

Thanks again for your help.

Hansen (moteprime) wrote :

Thank you Ike Panhc.

I have a "clean" installed Oneiric installation just for testing this, so please do not hesitate to ask me for further testing.

What about the serious problem with the networks speed, it seems to be a problem for all of people using RT3090 and makes the wifi close to useless? Is it better to open a new bug on it?

Ike Panhc (ikepanhc) wrote :

wireless speed is another issue, rfkill only tells NetworkManager wireless is power on or not, in most case it will not affect speed.

Changed in linux (Ubuntu):
status: Incomplete → In Progress
Ike Panhc (ikepanhc) wrote :

Hi Hansen,

Please help on testing two things.

1. With last kernel (the one in 875659-3), wireless blocked because wifi driver detect hardware wifi switch is off. I know actually it is on. Could you try to turn the switch off and on once and see if the wireless is unblocked.

2. Could you try the kernel deb at http://people.canonical.com/~ikepanhc/lp/875659-4/ please? This patched acer-wmi will not test the ec register and not to register acer-wireless rfkill. Please attach output of `rfkill list`, this will tells us if the wrong status hard block of phy0 is caused by we read/write something on ec register.

Thanks a lot.

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Hansen (moteprime) wrote :

Hi Ike Panhc.
I will answer your two questions with two posts, as it will require some installation and rebooting.

uname -a
Linux mads-Ideapad-S205 3.0.0-13-generic #22lp875659 SMP Tue Nov 22 03:27:00 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Hardware switch ON. (after boot up)
rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: yes
 Hard blocked: no

Hardware switch (Fn+F5) OFF
rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Please note that hardware LED indicator does remains ON, so I cannot see the setting. But I have tried shutting down, restarting and testing again three times.

Hansen (moteprime) wrote :

uname -a
Linux mads-Ideapad-S205 3.0.0-13.22lp875659-test1-generic #test1 SMP Wed Nov 23 09:28:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Hardware switch ON. (after boot up)
rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
3: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

Hardware switch (Fn+F5) OFF
 rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
3: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

Please again note that hardware LED indicator for Wifi remains ON at all times.

Ike Panhc (ikepanhc) wrote :

Thanks Hansen,

Could you try to turn on/off the physical wireless switch on right side with there two kernels? We expect that hard block of phy0 and ideapad_wlan shall shows the status of this physical switch. Just would like to know if we can fix the wrong status by turning off/on the switch.

Thanks a lot.

Ike Panhc (ikepanhc) wrote :

For more explanation. In rfkill status, the hard blocked means "read-only radio block that cannot be overriden by software". Usually it shall be the status of physical wifi switch.

Soft blocked means "writable radio block that is set by the system software", which we can use `rfkill block <number>` or `rfkill unblock <number>` to control it. The Fn+F5 shall update the block status in soft way.

Ike Panhc (ikepanhc) wrote :

So the problem now is that hard block of phy0 (which is registered by wireless driver) has wrong status. If we can prove this is nothing about the acer-wmi, then we can have the patch merged and try to fix the problem in wireless driver. If the incorrect status is because of patched acer-wmi, then we need to find out how it is affected and fix it.

Hansen (moteprime) wrote :

Hi Ike Panhc.
I'm left feeling a little silly here, i did not know that there are physical wifi switch on my laptop. -I have never seen one of those before.

uname -a
Linux mads-Ideapad-S205 3.0.0-13.22lp875659-test1-generic #test1 SMP Wed Nov 23 09:28:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

After boot. physical wifi switch ON
rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

physical wifi switch OFF
rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: yes
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Hansen (moteprime) wrote :

Hi Ike Panhc.
You wrote "with there two kernels?", i do not know exactly what you mean but to be sure not to miss anything a did the test with the previous patch as well, but post the results in a file so not to clutter the thread.

We have reported the network speed bug in Bug #896582 This bug are causing a lot of grief so we would appreciate if you in any way could help getting some attention to this bug.
Thank you.

Ike Panhc (ikepanhc) wrote :

Hi Hansen,

Thanks for testing. This could make sure that the patch introduce the phy0 rfkill regression.

Could you do me another test again? Please use the kernel at http://people.canonical.com/~ikepanhc/lp/875659-3/ and make sure the physical wireless switch is on. Turn on the laptop, record the output of `rfkill list`. Then switch the physical wireless switch to off, record the output of `rfkill list`. Then switch it on again and see how rfkill reports.

Would like to tell how it react when we move the switch. Thanks a lot.

BTW, the two kernels mean kernel at
  http://people.canonical.com/~ikepanhc/lp/875659-3/
  http://people.canonical.com/~ikepanhc/lp/875659-4/

Hansen (moteprime) wrote :

Hi Ike Panhc.
Thank you. I understood you right then.
The attached file in post #44 should be from the right kernel patch. But only tested ON and OFF
I redid the test you wanted, I hope it is the right kernel. -or please tell me and.
I switch was set to ON when booting, then switched it ON and OFF a couple of times recording the output from rfkill list every time.

mads@mads-Ideapad-S205:~$ uname -a
Linux mads-Ideapad-S205 3.0.0-13-generic #22lp875659 SMP Tue Nov 22 03:27:00 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Physical wifi switch ON
mads@mads-Ideapad-S205:~$ rfkill list
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Physical wifi switch OFF
mads@mads-Ideapad-S205:~$ rfkill list
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: yes
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Physical wifi switch ON
mads@mads-Ideapad-S205:~$ rfkill list
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
4: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

Physical wifi switch Off
mads@mads-Ideapad-S205:~$ rfkill list
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: yes
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Physical wifi switch ON
mads@mads-Ideapad-S205:~$ rfkill list
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
5: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

Ike Panhc (ikepanhc) wrote :

Hi Hansen,

Thanks, this is what I need to know. I will let upstream maintainer aware of this.

Hansen (moteprime) wrote :

Hi Ike Panhc
Thank you to.
Please don't hesitate if there are anything else i can do.

If there are Anything you can do to help getting attention to the problem with the network speed in Bug #896582 it would be a great help, it is a great obstacle in getting Ubuntu to work for us.
I believe that everybody using RT3090 has great difficulties of different kinds.

Thank you.
Hansen

Ike Panhc (ikepanhc) on 2011-12-12
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Ike Panhc (ikepanhc) wrote :

This is the rfkill log of ideapad s12 and s205. Still waiting for the last report of thinkpad E520 (bug 826784 and bug 836865)...

Ike Panhc (ikepanhc) wrote :

Hi Hansen,

I am thinking an alternative approach. Since most of the report is on ideapads or thinkpads, and we have rfkill registered in ideapad-laptop, I think it will be fine not to register acer-wmi rfkill if we find ideapad/thinkpad device in DSDT.

Ref: http://<email address hidden>/msg02788.html

I have made the patch and built the test kernel, but I have no machine to check, could you help me check if this kernel fix this issue?

You can find the kernel at
   http://people.canonical.com/~ikepanhc/lp/875659-5/

Thanks a lot.

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Ike Panhc (ikepanhc) wrote :

Please hold the test for a while, found out need to cherry-pick another commit

Ike Panhc (ikepanhc) wrote :

Ok, Here is the updated test kernel deb built for oneiric amd64

  http://people.canonical.com/~ikepanhc/lp/875659-6/

Hansen (moteprime) wrote :

Hi Ike Panhc.
Sorry for the late reply, I have not able to do the testing before today.
I tested the patch you made. I'm a bit unsure about what to report back to you.
After applying the patch and booting wireless was not "checked" in the network indicator. After checking/tagging it, it got greyed out and "Wireless Networks" was reported as being: "Wireless is being disabled by Hardware switch".
The psysical switch was on, there was no response to fn+F5.
rfkill list replied:
0: hci0: Bluetooth
    Soft blocked: no
    Hard blocked: no
1: ideapad_wlan: Wireless LAN
    Soft blocked: yes
    Hard blocked: no
2: ideapad_bluetooth: Bluetooth
    Soft blocked: no
    Hard blocked: no
3: phy0: Wireless LAN
    Soft blocked: yes
    Hard blocked: yes

Ike Panhc (ikepanhc) wrote :

Hi Hansen,

Thanks for test.

Can you try to move the physical switch and blacklist acer-wmi and see how rfkill goes?

Hansen (moteprime) wrote :

HI Ike Panhc

A strange thing happend. When rebooting this morning to make the requested test, wireless worked!

mads@mads-Ideapad-S205:~$ uname -a
Linux mads-Ideapad-S205 3.0.0-14.23lp875659-6-generic #6 SMP Fri Jan 13 20:10:32 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
mads@mads-Ideapad-S205:~$ rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Physical switch first OFF the ON

mads@mads-Ideapad-S205:~$ rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: yes
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
mads@mads-Ideapad-S205:~$ rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
4: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

When i perform these tests i have a seperat ubuntu installation for testing, so not to mess with my every day system. Every time i have tried one of your tests I have to shut down the computer completely for wireless to work when booting my every day system again. If i only reboot to my every day system it cannot see the wireless adapter, so something in what you are doine i the patch messes with drive adapter or the driver. I do not know if it is something like tha,t that has happend here. (even the win7 installation has problems seeing the adapter after the tests).

Hansen (moteprime) wrote :

This time I just rebooted back in my every days system instead of shutting down and starting up again, and wireless worked without a problem.

I can confirm this bug.

Regarding the slow performance, this is fixed with Linux 3.3rc1 through this patch: http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=commit;h=dfd00c4c8f3dfa1fd7cec45f83d98b2a49743dcd

Please backport it for the Ubuntu 12.04 kernel!

Hansen (moteprime) wrote :

Testet with Kernel:
linux-headers-3.3.0-030300rc1_3.3.0-030300rc1.201201191835_all.deb
linux-headers-3.3.0-030300rc1-generic_3.3.0-030300rc1.201201191835_amd64.deb
linux-image-3.3.0-030300rc1-generic_3.3.0-030300rc1.201201191835_amd64.deb

Installes with "sudo dpkg -i *.deb"

mads@Test-Ideapad-S205-oneiric:~$ uname -a
Linux Test-Ideapad-S205-oneiric 3.3.0-030300rc1-generic #201201191835 SMP Thu Jan 19 23:36:54 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Where not able to enable wireless.

Did rfkill list

mads@Test-Ideapad-S205-oneiric:~$ rfkill list
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
4: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Then did:
rfkill unblock wifi
rfkill unblock all
sudo modprobe -r acer_wmi

Was then able to enable wireless, but network speed was not at 60-70 Kb/sec but now at 40-50Kb/sec.

Kernel did not work at my laptop.
Please advice if i performed test wrong.

Ike Panhc (ikepanhc) on 2012-01-23
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Ike Panhc (ikepanhc) wrote :

Just have the summary of testing on upstream mailing list
  http://<email address hidden>/msg02828.html
  http://<email address hidden>/msg02829.html

and post the new patch for widely review/test

  http://<email address hidden>/msg02830.html
  http://<email address hidden>/msg02831.html

The thread on upstream mailing list.

  http://<email address hidden>/msg02772.html

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/875659

tags: added: iso-testing
Ike Panhc (ikepanhc) wrote :

Hi,

According to the feedback from upstream maintainer, the patch is revised.

Could you help me testing the revised patch? I've built the a dkms package and put it at

  http://people.canonical.com/~ikepanhc/lp/826784-6/

To install the dkms deb, just use the command `sudo dpkg -i test-dkms_1_all.deb` and please blacklist acer-wmi
Please remember to reboot after installation.

To uninstall the dkms deb, please use the command `sudo dpkg -r test-dkms`

Please attach the output of `rfkill list` and `dmesg`

Ref: http://<email address hidden>/msg02859.html
           http://<email address hidden>/msg02860.html

Thanks a lot.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Hansen (moteprime) wrote :

Hi Ike Panhc.

I tried to install the patch, but i encountered problems.
My test installation are Oneiric with kernel 3.0.0-12-generic #20-Ubuntu, i thinks that i is "untouched", but i can be mistaken.
This are the command and response in my terminal.

mads@Test-Ideapad-S205-oneiric:~/Downloads/testkernel$ sudo dpkg -i test-dkms_1_all.deb
Selecting previously deselected package test-dkms.
(Reading database ... 127347 files and directories currently installed.)
Unpacking test-dkms (from test-dkms_1_all.deb) ...
dpkg: dependency problems prevent configuration of test-dkms:
 test-dkms depends on dkms (>= 1.95); however:
  Package dkms is not installed.
dpkg: error processing test-dkms (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 test-dkms
mads@Test-Ideapad-S205-oneiric:~/Downloads/testkernel$

mrl586 (mrl586) wrote :

Run 'apt-get install dkms' command and then try again.

Hansen (moteprime) wrote :

Oops.
Made a little mistake in my previous post. -it should read "i think that IT is "untouched"". -Not that i am untouched. ;-)

Hansen (moteprime) wrote :

Hi Ike Panhc.

Oh. i see now that it was the problem, i am sorry i did not read the errors closely enough.
The patch has now been installed.

rfkill list
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

The output from dmesg are attached as a file so not to make the post to long.

Would it help you if you could have access to my computer over a remote session?

Ike Panhc (ikepanhc) wrote :

Thanks you all,

I reviewed the log and it looks like that we have a successful test. I will monitor the mailing list for a while. Once it land on Linus' kernel tree, I will backport it to oneiric and precise.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Triaged
Ike Panhc (ikepanhc) wrote :

The fix[1] has been merged into precise kernel.

[1] http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=commitdiff;h=13faef3e679243aec5c1e308eba1c70c6c72d055

This issue shall be no longer exist after beta2 precise image.

Set to Fix-released. If you still have trouble using wireless, please reopen this bug.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
Hansen (moteprime) wrote :

I can confirm fix after laptop testing Precise beta 2.
Bug is solved.
Thank you.

PS: Impossible slow network speed is still making the rt2800pci driver useless. - Bug #896582

András Korn (kornandras) wrote :

It is, unfortunately, that very fix which breaks wireless for me on my IdeaPad s205; see https://bugzilla.kernel.org/show_bug.cgi?id=43007.

Ike Panhc (ikepanhc) wrote :

@Hansen,

I do not forget it...

@Andras,

I have subscribed it.

Doki (lkishalmi) wrote :

I've just tested Precise Beta2 today.
It seems I have wireless working when I start from the live image.
After install and reboot there is no wireless networks at all.
Unfortunetely the former tricks with acer_wmi and rfkill does not made it work.

Ike Panhc (ikepanhc) wrote :

@Doki,

Please attach the output of `dmesg`, `sudo dmidecode` and `rfkill list` please.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/875659

tags: added: laptop-testing
Qwelnor (qwelnor) wrote :

I recently installed kubuntu post beta2 nightbild from April 10.

ip205 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Is the bug already fixed on this release?
I'm always getting Hard blocked for Wifi and can't make it work.

rfkill list all results:

The switch on the right is on:
1: ideapad_bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
2: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: yes
3: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
-----------------------------
The switch of the right is on and fn+f5 pressed:
1: ideapad_bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: no
2: phy0: Wireless LAN
        Soft blocked: yes
        Hard blocked: yes
5: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
-----------------------------
The switch on the right is off:
1: ideapad_bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: yes
2: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: yes
---------------------------
1: ideapad_bluetooth: Bluetooth
        Soft blocked: no
        Hard blocked: yes
2: phy0: Wireless LAN
        Soft blocked: yes
        Hard blocked: yes
--------------------------

Hansen (moteprime) wrote :

I'm on Ubuntu Desktop AMD64 Precise Beta2

uname -a
Linux Precise-Ideapad-S205 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Physical WiFi ON/OFF Switch Off and ON:

mads@Precise-Ideapad-S205:~$ rfkill list
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: yes
mads@Precise-Ideapad-S205:~$ rfkill list
1: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

/etc/modprobe.d/blacklist.conf
blacklist rt2800pci
blacklist rts5139

I use compiled RT3090 driver from Ralink for WiFi to work at full speed.
Except that the .deb packaged driver from Markus Heberling on Launchpad (rt3090-dkms_2.3.1.3-0ubuntu0~ppa1_all.deb) does not seem to work anymore, I have had no problems with WiFi after upgrading to Precise Beta2. (lots of other problems, like no suspend and can't shut down).

Are there two different Hardware revisions of the Ideapad s205 ?
I have:
Bios Version 4BCN24WW
KBC Version 4BEC20WW (What is that?)

Ike Panhc (ikepanhc) wrote :

@Qwelnor,

There is no acer-wireless in `rfkill list`. Its means either the patch works or not affect by this issue.

Before we have the fix, how can you use wifi? e.g. blacklist acer-wmi or there is no wifi problem at all?

There is one report says on his s205, the wifi works fine until this patch merged.

  https://bugzilla.kernel.org/show_bug.cgi?id=43007

Wonder if this is the same issue

Ike Panhc (ikepanhc) wrote :

@Hansen,

There are much SKU with the same name ideapad s205. I have saw 4 or 5 different dmidecode and with different wireless chip, maybe from Broadcom Ralink or Atheros

ossjunkie (ossjunkie) wrote :

Just as Doki already reported it works on a S205 modell 1038 with the precise beta2 amd64 live image, but after the installation and no updates applied the wireless is always hard blocked via rfkill. Blacklisting acer_wmi doesn't make a difference.

What could be the difference between live session and installation? And how can we use that for a temporary workaround?

ossjunkie (ossjunkie) wrote :

Just retried with the live medium, but could not get it to work this time, as rfkill at start is at soft blocked and on activation switches to hard blocked. Obvious difference is that with the live media i have a "ideapad_wlan" listed by rfkill.

ossjunkie (ossjunkie) wrote :

At least for the IdeaPad S205 model 1038 there is a quite weird workaround:

After installation there is a mysterious "ubuntu" entry in the boot order that must not be at the top. So go to your "BIOS" with F2 and change the boot order so the hardisk comes before "ubuntu" entry. Seems like a buggy EFI/BIOS implementation.

Kudos goes to the german guys at http://forum.ubuntuusers.de/topic/wlan-karte-ralink-rt3090-lenovo-ideapad-s205-l/

Ike Panhc (ikepanhc) wrote :

@ossjunkie

Could you attach the output of `sudo acpidump`? Checked logs you attached, looks like BIOS believe wireless device is no existed after installation.

Ike Panhc (ikepanhc) wrote :

@Qwelnor/ossjunkie,

And also attach the output of `sudo grep -r '' /sys/kernel/debug/ideapad`. This command might take a while.

Ike Panhc (ikepanhc) wrote :

This command will show some basic status of ideapad-laptop. e.g. on my b550

$ sudo grep -r '' /sys/kernel/debug/ideapad
/sys/kernel/debug/ideapad/status:Backlight max: 10
/sys/kernel/debug/ideapad/status:Backlight now: 10
/sys/kernel/debug/ideapad/status:BL power value: On
/sys/kernel/debug/ideapad/status:=====================
/sys/kernel/debug/ideapad/status:Radio status: On(1)
/sys/kernel/debug/ideapad/status:Wifi status: On(1)
/sys/kernel/debug/ideapad/status:BT status: On(1)
/sys/kernel/debug/ideapad/status:3G status: On(1)
/sys/kernel/debug/ideapad/status:=====================
/sys/kernel/debug/ideapad/status:Touchpad status:On(1)
/sys/kernel/debug/ideapad/status:Camera status: On(1)
/sys/kernel/debug/ideapad/cfg:cfg: 0xFFFF8800007DE140
/sys/kernel/debug/ideapad/cfg:
/sys/kernel/debug/ideapad/cfg:Capability: Bluetooth Wireless Camera
/sys/kernel/debug/ideapad/cfg:Graphic: Intel

ossjunkie (ossjunkie) wrote :

Here it is with the right boot order ;)

Ivo Anjo (knuckles) wrote :

I also have an older S205 with an E-350.

With kernel 3.0, I just had do rmmod acer_wmi after system startup (and it really needed to load: after hibernation I had to modprobe acer_wmi and then rmmod to get wifi to work again).

Yesterday I upgraded to 12.04 and no combination of modprobing/rmmoding acer_wmi or ideapad-laptop got me wireless.

My S205 has an Intel Centrino Ultimate-N 6300 (I threw the crappy ralink away), and even with an external wifi stick I can't get access (seems that if one device is blocked, nm-applet treats it as if ALL are blocked).

In addition, my EFI setup is kind of manual, so the workaround from comment #80 doesn't even apply to me.

So to recap: the upgrade to 12.04 left my old 3.0 kernel also installed.
If I boot with that, I'm golden. If I boot with 3.2, nothing I tried could get me wireless.

Should I upload my acpidump, dmesg, etc too?

Ike Panhc (ikepanhc) wrote :

@Ivo,

Sounds like the same issue reported at kernel bugzilla. See

 https://bugzilla.kernel.org/show_bug.cgi?id=43007

Could you see commit 11 there and let me know what you get please?

 https://bugzilla.kernel.org/show_bug.cgi?id=43007#c11

@ossjunkie,

I will take a look and see if I can find something interested.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Thomas Hood (jdthood) on 2012-07-03
description: updated
summary: - RT3090 wireless conflict with acer_wmi
+ RT3090 conflicts with acer_wmi on IdeaPad S205
Ivo Anjo (knuckles) wrote :

My issue did get solved with the kernel patch attached to https://bugzilla.kernel.org/show_bug.cgi?id=43007 .
Would it be possible to backport it please?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.